[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Mouse' (#rtl)

# PutMouseEvent

Put a mouse event in the venet queue.

## Declaration

Source position: mouseh.inc line 95

`procedure PutMouseEvent(`
`const MouseEvent: TMouseEvent`
`);`

## Description

PutMouseEvent adds MouseEvent to the input queue. The next call to GetMouseEvent or PollMouseEvent will then return MouseEvent.

Please note that depending on the implementation the mouse event queue can hold only one value.

## Errors

None.

## See also

GetMouseEvent |  | Get next mouse event from the queue.
PollMouseEvent |  | Query next mouse event. Do not wait if none available.

Documentation generated on: Feb 26 2014